Dynalinks
iOS apps

Update an existing iOS app

PATCH
/ios_apps/{id}
Manage the iOS apps that links open.

Authorization

headerAuthorization<token>

Format: Authorization: Token {api_key}

Path Parameters

id*string

UUID of the iOS app to update

Request Body

Fields to update

application/json
  1. body
ios_app?

Response Body

iOS app updated successfully

application/json
  1. response
id?string

UUID of the iOS app

Formatuuid
name?string

Name of the iOS app

bundle_id?string

The bundle identifier for the iOS app

team_id?string

Apple Developer Team ID

app_store_id?string

App Store ID for the app

custom_scheme?string

Custom URL scheme for Facebook App Links (al:ios:url meta tags)

Example Request
curl -X PATCH 'https://dynalinks.app/api/v1/ios_apps/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "550e8400-e29b-41d4-a716-446655440000",  "name": "Updated iOS App",  "bundle_id": "com.mycompany.updatedapp",  "team_id": "EFGH789012",  "app_store_id": "987654321"}